
Foreman - Refactor #8797

Separate style from the HTML in emails.

12/28/2014 08:16 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: E-Mail   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2887

  

Description

Email templates contain style information inside the HTML.

It creates clutter in the erb files, and is difficult to track down when changing system style.

Consider using CSS to inline formatter, for example: [[https://www.ruby-toolbox.com/categories/Inline_CSS_for_E-Mail]]

Related issues:

Related to Katello - Refactor #12403: Separate style from HTML in e-mails New 11/05/2015

Related to Foreman - Refactor #15847: URL helpers must be used in mailers Closed 07/27/2016

Associated revisions

Revision a1506cab - 06/02/2016 07:38 AM - Amir Fefer

Fixes #8797 - Separate style from the HTML in emails

By using roadie-rails gem (1.1) style can be separated from email

html foramt, and absolute paths can be used.

style was separated to 'email.css'

Revision 58c396fa - 06/02/2016 08:16 AM - Dominic Cleal

refs #8797 - require roadie-rails

History

#1 - 12/28/2014 08:19 AM - Shimon Shtein

Forgot to mension an example file: app/views/audit_mailer/summary.html.erb

#2 - 01/02/2015 05:04 AM - Dominic Cleal

- Category set to E-Mail

#3 - 10/27/2015 10:56 AM - Amir Fefer

- Assignee set to Amir Fefer

#4 - 11/03/2015 11:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2887 added

#5 - 11/05/2015 09:20 AM - Stephen Benjamin

- Related to Refactor #12403: Separate style from HTML in e-mails added

#6 - 06/02/2016 07:39 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#7 - 06/02/2016 08:02 AM - Amir Fefer
https://www.ruby-toolbox.com/categories/Inline_CSS_for_E-Mail


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a1506cabbac59429d6727d9e93a207d95437f960.

#8 - 07/27/2016 03:23 AM - Dominic Cleal

- Related to Refactor #15847: URL helpers must be used in mailers added
